Subject: [sfc] Repeating comment and question on draft-ietf-sfc-nsh-05.txt

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 9 Jun 2016 06:24:58 -0400

Paul,

I haven't received a reply on my comment and question below, I would just
like to make sure that this didn’t get missed.

Thanks,
Andy

---------- Forwarded message ----------
From: Andrew G. Malis <[email-masked]>
Date: Thu, May 26, 2016 at 6:53 PM
Subject: Re: [sfc] New Version Notification for draft-ietf-sfc-nsh-05.txt
To: "Paul Quinn (paulq)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>

Paul,

Section 13.2.4 still needs revising. Since it’s short, I’ve included it
here:

13.2.4 <https://tools.ietf.org/html/draft-ietf-sfc-nsh-05#section-13.2.4>.
MD Class Registry

   IANA is requested to set up a registry of "MD Class".  These are 16-
   bit values.  Registry entries are assigned by using the "IETF Review"
   policy defined in RFC 5226 <https://tools.ietf.org/html/rfc5226>
[RFC5226 <https://tools.ietf.org/html/rfc5226>].  TLV Classes defined
by this
   document are listed below.  New values are assigned via Standards
   Action [RFC5226 <https://tools.ietf.org/html/rfc5226>].
   0x0000 to 0x01ff: IETF Consensus
   0x0200 to 0x7fff: Expert Review
   0xfff6 to 0xfffe: Experimental
   0xffff: Reserved

In the third line, “TLV” should be “MD”.

In the sixth line, the term “IETF Consensus” is no longer used, it’s now
“IETF Review”.

The text in the paragraph states that entries are assigned using the IETF
Review policy, but then the registry space is partitioned. So I recommend
that the sentence "Registry entries are assigned by using the "IETF Review”
policy defined in RFC 5226 [RFC5226].” be removed.

It then states “ New values are assigned via Standards Action [RFC5226].”
However, that also contradicts the partioning, so that sentence should also
be removed.

Also a question: Note that "Standards Action" and "IETF Review" are not the
same thing. However, if you look through the list of new registries defined
in section 13.2, both Standards Action and IETF Review are used for
different registries. Is there a reason that they aren’t all one or the
other?

Thanks,
Andy

On Thu, May 26, 2016 at 6:20 PM, Paul Quinn (paulq) <[email-masked]> wrote:

> of course that should have read re:-04.
>
> Paul
>
>
> > On May 26, 2016, at 6:19 PM, Paul Quinn (paulq) <[email-masked]> wrote:
> >
> > Dear WG,
> >
> > This new version of NSH takes into account the comments that were raised
> re: -05.
> >
> > Thank you,
> > Paul
> >
> >> Begin forwarded message:
> >>
> >> From: <[email-masked]>
> >> Subject: New Version Notification for draft-ietf-sfc-nsh-05.txt
> >> Date: May 26, 2016 at 6:16:37 PM EDT
> >> To: Uri Elzur <[email-masked]>, Paul Quinn <[email-masked]>
> >>
> >>
> >> A new version of I-D, draft-ietf-sfc-nsh-05.txt
> >> has been successfully submitted by Paul Quinn and posted to the
> >> IETF repository.
> >>
> >> Name:                draft-ietf-sfc-nsh
> >> Revision:    05
> >> Title:               Network Service Header
> >> Document date:       2016-05-26
> >> Group:               sfc
> >> Pages:               38
> >> URL:
> https://www.ietf.org/internet-drafts/draft-ietf-sfc-nsh-05.txt
> >> Status:         https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh/
> >> Htmlized:       https://tools.ietf.org/html/draft-ietf-sfc-nsh-05
> >> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-05
> >>
> >> Abstract:
> >>  This document describes a Network Service Header (NSH) inserted onto
> >>  encapsulated packets or frames to realize service function paths.
> >>  NSH also provides a mechanism for metadata exchange along the
> >>  instantiated service path.  NSH is the SFC encapsulation required to
> >>  support the Service Function Chaining (SFC) Architecture (defined in
> >>  RFC7665).
> >>
> >>
> >>
> >>
> >> Please note that it may take a couple of minutes from the time of
> submission
> >> until the htmlized version and diff are available at tools.ietf.org.
> >>
> >> The IETF Secretariat
> >>
> >
> > _______________________________________________
> > sfc mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/sfc
>
> _______________________________________________
> sfc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sfc
>

---

From: "Paul Quinn (paulq)" <[email-masked]>
Date: Thu, 9 Jun 2016 18:15:20 +0000

Andy,

I'm just getting back from vacation and digging through email.  Consider this your ACK :) and we'll update accordingly.

I think Uri is traveling internationally so his email replies are delayed.

Paul

On Jun 9, 2016, at 6:24 AM, Andrew G. Malis <[email-masked]<mailto:[email-masked]>> wrote:

Paul,

I haven't received a reply on my comment and question below, I would just like to make sure that this didn’t get missed.

Thanks,
Andy

---------- Forwarded message ----------
From: Andrew G. Malis <[email-masked]<mailto:[email-masked]>>
Date: Thu, May 26, 2016 at 6:53 PM
Subject: Re: [sfc] New Version Notification for draft-ietf-sfc-nsh-05.txt
To: "Paul Quinn (paulq)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

Paul,

Section 13.2.4 still needs revising. Since it’s short, I’ve included it here:

13.2.4<https://tools.ietf.org/html/draft-ietf-sfc-nsh-05#section-13.2.4>.  MD Class Registry

   IANA is requested to set up a registry of "MD Class".  These are 16-
   bit values.  Registry entries are assigned by using the "IETF Review"
   policy defined in RFC 5226<https://tools.ietf.org/html/rfc5226> [RFC5226<https://tools.ietf.org/html/rfc5226>].  TLV Classes defined by this
   document are listed below.  New values are assigned via Standards
   Action [RFC5226<https://tools.ietf.org/html/rfc5226>].
   0x0000 to 0x01ff: IETF Consensus
   0x0200 to 0x7fff: Expert Review
   0xfff6 to 0xfffe: Experimental
   0xffff: Reserved

In the sixth line, the term “IETF Consensus” is no longer used, it’s now “IETF Review”.

The text in the paragraph states that entries are assigned using the IETF Review policy, but then the registry space is partitioned. So I recommend that the sentence "Registry entries are assigned by using the "IETF Review” policy defined in RFC 5226 [RFC5226].” be removed.

It then states “ New values are assigned via Standards Action [RFC5226].” However, that also contradicts the partioning, so that sentence should also be removed.

Also a question: Note that "Standards Action" and "IETF Review" are not the same thing. However, if you look through the list of new registries defined in section 13.2, both Standards Action and IETF Review are used for different registries. Is there a reason that they aren’t all one or the other?

Thanks,
Andy

On Thu, May 26, 2016 at 6:20 PM, Paul Quinn (paulq) <[email-masked]<mailto:[email-masked]>> wrote:
of course that should have read re:-04.

Paul

> On May 26, 2016, at 6:19 PM, Paul Quinn (paulq) <[email-masked]<mailto:[email-masked]>> wrote:
>
> Dear WG,
>
> This new version of NSH takes into account the comments that were raised re: -05.
>
> Thank you,
> Paul
>
>> Begin forwarded message:
>>
>> From: <[email-masked]<mailto:[email-masked]>>
>> To: Uri Elzur <[email-masked]<mailto:[email-masked]>>, Paul Quinn <[email-masked]<mailto:[email-masked]>>
>>
>>
>> URL:            https://www.ietf.org/internet-drafts/draft-ietf-sfc-nsh-05.txt
>> Please note that it may take a couple of minutes from the time of submission
>> until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org/>.
>>
>> The IETF Secretariat
>>
>
> [email-masked]<mailto:[email-masked]>

_______________________________________________
sfc mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/sfc

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 9 Jun 2016 15:01:08 -0400

Paul,

Thanks, much appreciated. I hope you had a pleasant and relaxing vacation!

Cheers,
Andy

On Thu, Jun 9, 2016 at 2:15 PM, Paul Quinn (paulq) <[email-masked]> wrote:

> Andy,
>
> I'm just getting back from vacation and digging through email.  Consider
> this your ACK :) and we'll update accordingly.
>
> On Jun 9, 2016, at 6:24 AM, Andrew G. Malis <[email-masked]> wrote:
>
> Paul,
>
> 13.2.4 <https://tools.ietf.org/html/draft-ietf-sfc-nsh-05#section-13.2.4>.  MD Class Registry
>
>    policy defined in RFC 5226 <https://tools.ietf.org/html/rfc5226> [RFC5226 <https://tools.ietf.org/html/rfc5226>].  TLV Classes defined by this
> Also a question: Note that "Standards Action" and "IETF Review" are not
> the same thing. However, if you look through the list of new registries
> defined in section 13.2, both Standards Action and IETF Review are used for
>> >> Diff:
>> https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-05
>> >>
>> >> Abstract: